<div class="relative z-10" aria-labelledby="slide-over-title" role="dialog" aria-modal="true">
  
    <div class="fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity"></div>
  
    <div class="fixed inset-0 overflow-hidden">
      <div class="absolute inset-0 overflow-hidden">
        <div class="pointer-events-none fixed inset-y-0 right-0 flex max-w-full pl-10">
          <!--
            Slide-over panel, show/hide based on slide-over state.
  
            Entering: "transform transition ease-in-out duration-500 sm:duration-700"
              From: "translate-x-full"
              To: "translate-x-0"
            Leaving: "transform transition ease-in-out duration-500 sm:duration-700"
              From: "translate-x-0"
              To: "translate-x-full"
          -->
          <div class="pointer-events-auto w-screen max-w-md">
            <div class="flex h-full flex-col overflow-y-scroll bg-white shadow-xl">
              <div class="flex-1 overflow-y-auto py-6 px-4 sm:px-6">
                <div class="flex items-start justify-between">
                  <h2 class="text-lg font-medium text-gray-900" id="slide-over-title">Shopping cart</h2>
                  <div class="ml-3 flex h-7 items-center">
                    <button type="button" (click)="closeCart('false')" class="-m-2 p-2 text-gray-400 hover:text-gray-500">
                      <span class="sr-only">Close panel</span>
                      <!-- Heroicon name: outline/x-mark -->
                      <svg class="h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" aria-hidden="true">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12" />
                      </svg>
                    </button>
                  </div>
                </div>

                <div *ngIf="errorSaveOrder" class="alert alert-danger d-flex align-items-center" role="alert">
                  <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Danger:"><use xlink:href="#exclamation-triangle-fill"/></svg>
                  <div>
                    Error al guardar, complete los campos.
                  </div>
                </div>
                <div *ngIf="saveOrder" class="alert alert-success d-flex align-items-center" role="alert">
                  <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Danger:"><use xlink:href="#exclamation-triangle-fill"/></svg>
                  <div>
                    Compra realizada con exito!
                  </div>
                </div>
             
                <div class="mt-8">
                  <div class="flow-root">
                       <!-- Aqui inicia dropdown-->
                       <h4>Select a Customer</h4>
                <select class="form-select" aria-label="Customer" [(ngModel)]="seleccionado" (change)="changeCustomer()">
                    <option selected>Select Customer</option>
                    <option *ngFor="let cus of customers"  value="{{cus.id}}" >{{cus.name}}</option>
                   
                  </select>

                  <div class="border-t border-gray-200 py-6 px-4 sm:px-6">
                    <select class="form-select" aria-label="Address" [(ngModel)]="selectAddress">
                        <option value="0" selected>Select Address</option>
                        <option *ngFor="let a of customer.addresses" >{{a.address}}</option>
                       
                      </select>
    
                  </div>
                 
                <!-- Aqui finaliza dropdown-->
  
                    <ul role="list" class="-my-6 divide-y divide-gray-200">
                        
                            <li class="flex py-6" *ngFor="let c of cart" >
                                <div class="h-24 w-24 flex-shrink-0 overflow-hidden rounded-md border border-gray-200">
                                  <img src="{{c.image}}" alt="Salmon orange fabric pouch with match zipper, gray zipper pull, and adjustable hip belt." class="h-full w-full object-cover object-center">
                                </div>
                               
                                <div class="ml-4 flex flex-1 flex-col">
                                  <div>
                                    <div class="flex justify-between text-base font-medium text-gray-900">
                                      <h3 >
                                        <a href="#">{{c.title}}</a>
                                      </h3>
                                      <p class="ml-4">${{c.price}}</p>
                                    </div>
                                  </div>
                                  <div class="flex flex-1 items-end justify-between text-sm">
                                    <p class="text-gray-500">Cantidad {{c.quantity}}
                                    <div class="flex">
                                    
                                    </div>
                                  </div>
                                </div>
                              </li>
  
                      <!-- More products... -->
                    </ul>
                  </div>
                </div>
              </div>
  
              <div class="border-t border-gray-200 py-6 px-4 sm:px-6">
                <div class="flex justify-between text-base font-medium text-gray-900">
                  <p>Subtotal</p>
                  <p>{{total}}</p>
                </div>
                <div class="mt-6">
                  <button (click)="checkout()"  *ngIf="!finalizarOrder"  class="flex items-center justify-center rounded-md border border-transparent bg-indigo-600 px-6 py-3 text-base font-medium text-white shadow-sm hover:bg-indigo-700">Checkout</button>
                </div>
                <div class="mt-6">
                  <button *ngIf="finalizarOrder" (click)="cancelar('true')" class="btn btn-outline-success">Finalizar</button>
                </div>
                <div class="mt-6">
                  <button (click)="cancelar('true')" class="btn btn-outline-danger flex justify-center text-center text-sm text-gray-500">Cancelar</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
